package com.codigoparallevar.minicards.parts;

import android.graphics.Canvas;

import org.json.JSONException;
import org.json.JSONObject;

public interface Part {
    int getLeft();
    int getRight();
    int getTop();
    int getBottom();

    void draw(Canvas canvas);

    void move(int x, int y);

    void touched();

    JSONObject serialize() throws JSONException;
}
